ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Driver.Errors.Ppr

Contents

- Orphan instances

# Orphan instances

Diagnostic DriverMessage Source # |

Instance details

Associated Types

type DiagnosticOpts DriverMessage |
Instance details Defined in GHC.Driver.Errors.Ppr type DiagnosticOpts DriverMessage = DriverMessageOpts

Methods

diagnosticMessage :: DiagnosticOpts DriverMessage -> DriverMessage -> DecoratedSDoc Source #

diagnosticReason :: DriverMessage -> DiagnosticReason Source #

diagnosticHints :: DriverMessage -> [GhcHint] Source #

diagnosticCode :: DriverMessage -> Maybe DiagnosticCode Source #

Diagnostic GhcMessage Source # |

Instance details

Associated Types

type DiagnosticOpts GhcMessage |
Instance details Defined in GHC.Driver.Errors.Ppr type DiagnosticOpts GhcMessage = GhcMessageOpts

Methods

diagnosticMessage :: DiagnosticOpts GhcMessage -> GhcMessage -> DecoratedSDoc Source #

diagnosticReason :: GhcMessage -> DiagnosticReason Source #

diagnosticHints :: GhcMessage -> [GhcHint] Source #

diagnosticCode :: GhcMessage -> Maybe DiagnosticCode Source #

HasDefaultDiagnosticOpts DriverMessageOpts Source # |
Instance details Methods defaultOpts :: DriverMessageOpts Source #
HasDefaultDiagnosticOpts GhcMessageOpts Source # |
Instance details Methods defaultOpts :: GhcMessageOpts Source #